tigase.jaxmpp.core.client

## Enum Connector.State

- java.lang.Object
- - java.lang.Enum<Connector.State>
  - - tigase.jaxmpp.core.client.Connector.State

- All Implemented Interfaces:
    Serializable, Comparable<Connector.State>
  Enclosing interface:
    Connector

      public static enum Connector.State
      extends Enum<Connector.State>

  States of Connector.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `connected` Connection is established.
    `connecting` Connector started establishing connection.
    `disconnected` Connector is disconnected.
    `disconnecting` Connector is closing connection and stopping workers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Connector.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Connector.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### connected

          public static final Connector.State connected

      Connection is established.

    - #### connecting

          public static final Connector.State connecting

      Connector started establishing connection.

    - #### disconnected

          public static final Connector.State disconnected

      Connector is disconnected.

    - #### disconnecting

          public static final Connector.State disconnecting

      Connector is closing connection and stopping workers.

  - ### Method Detail

    - #### values

          public static Connector.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Connector.State c : Connector.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Connector.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Tigase. All rights reserved.